function OnWarpEnter() 
	SetMarker("cs\\Warp_0212.wp" , 0 , 0) 

	ImportAnimationWarp("3D\\cs\\Warp_0013")

	-- pot
	AnimationSetToStart("bla1",false)

	if OPEN_DESK_0013_D3 then
		AnimationSetToEnd("btan",true)
		SetMarker("btan", 4, 0)
		if not PAPER_DESK_0013_D3 then
			PutObject("bua1",true)
			SetMarker("bua1",2,0)
		end
	elseif not OPEN_DESK_0013_D3 then
		if CanOpenDeskW13 then
			StartAnimationPart("btan",2,4,1,true)
			SetMarker("btan", 4, 0)
		else
			StartAnimationPart("btan", 0, 1, -1)
			SetMarker("btan", 4, 0)
		end
	end

	if not O_recipes_212 then
		PutObject("bya1")
	end

	if ETAT_DAY == "D3" then 
		StartAnimationPart("boan",60,80,-1,false)
	end
end

function OnWarpLeave()
end

function OnDialogFinished(dialogName)
		if dialogName == "Ma1706" then 
			SetMarker("btan", 4, 0)
		end
end

function OnAnimationFinished(AnimName)
	if AnimName == "btan" then 
		if OPEN_DESK_0013_D3 then
			OPEN_DESK_0013_D3 = false
		else
			OPEN_DESK_0013_D3 = true
			if not PAPER_DESK_0013_D3 then
				PutObject("bua1")
				SetMarker("bua1",2,0)
			end
		end
	end
		
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0212.wp" then 
		ChangeWarp(objectName)
	end

	if ETAT_DAY == "D3" then
		if objectName == "boan" then

		elseif objectName == "btan" then 
			if Selected("A_clef_tiroir") then
				RemoveFromBag()
				PlaySound("Sounds/SFX/N_ClefTiroir.ogg",1)
				StartAnimationPart("btan",2,4,1,true)
				OPEN_DESK_0013_D3 = false
				PlaySound("Sounds/SFX/N_FermetureTiroir.ogg",1)
				CanOpenDeskW13 = true
			elseif not Selected("A_clef_tiroir") and not CanOpenDeskW13 then
				DrawText("Ma1706", "Ma1706.ogg", 0)
				SetMarker("btan", -1, 0)
			end

			if not OPEN_DESK_0013_D3 and CanOpenDeskW13 then
				StartAnimationPart("btan",2,4,1,true)
--				OPEN_DESK_0013_D3 = true
				PlaySound("Sounds/SFX/N_FermetureTiroir.ogg",1)
				PlaySound("Sounds/SFX/N_ClefTiroir.ogg",1)
			elseif OPEN_DESK_0013_D3 then
				StartAnimationPart("btan",0,2,1,true)
				RemoveObject("bua1")
				SetMarker("bua1", -1, 0)
--				OPEN_DESK_0013_D3 = false
				PlaySound("Sounds/SFX/N_FermetureTiroir.ogg",1)
				PlaySound("Sounds/SFX/N_ClefTiroir.ogg",1)
			end


		elseif objectName == "bua1" then
			RemoveObject("bua1")
			SetMarker("bua1",-1,0)
			AddToBag("A_theme_Henri_Navarre")
			DrawText("Ma2352","Ma2352.ogg",0) -- On dirait le même thème que celui que j'ai trouvé chez Chavigny, et il appartient au neveu de la Reine Catherine. 
			DrawText("Ma2872","Ma2872.ogg",0) -- Peut-être qu’en me penchant sur l’avenir proche du jeune Henri de Navarre, je comprendrai mieux ce qui suscite un tel mystère. Et puis ce sera une bonne occasion de faire fonctionner la machine à révolutions.
-- <value name="Ma2351" Père ne s'est pas trompé, on dirait le même thème que celui que j'ai trouvé chez Chavigny. </f>"/>
-- <value name="Ma2352" On dirait le même thème que celui que j'ai trouvé chez Chavigny, et il appartient au neveu de la Reine Catherine. </f>"/>
--<value name="Ma2872" Peut-être qu’en me penchant sur l’avenir proche du jeune Henri de Navarre, je comprendrai mieux ce qui suscite un tel mystère. Et puis ce sera une bonne occasion de faire fonctionner la machine à révolutions.</f>"/>
			PAPER_DESK_0013_D3 = true

		elseif objectName == "bja1" then
			O_phial_213 = true
			AddToBag("A_fiole")
			RemoveObject("bja1")
			SetMarker("bja1", -1, 0)
			PHIAL_AMBERGRIS_TAKEN = true



--		elseif objectName == "btan" then
--			if not OPEN_DESK_0013_D3 and Selected("A_clef_tiroir") then
--				OPEN_DESK_0013_D3 = true
--				RemoveFromBag()
--				SetMarker("btan",-1,0)
--				StartAnimationPart("btan",3,4,-1,false)
--				if not PAPER_DESK_0013_D3 then
--					PutObject("bua1",true)
--					SetMarker("bua1",2,0)
--				end
--			else
--				DrawText("Ma1706","Ma1706.ogg")
--			end
--		elseif objectName == "bua1" then
--			RemoveObject("bua1")
--			SetMarker("bua1",-1,0)
--			AddToBag("A_theme_Henri_Navarre")
--			PAPER_DESK_0013_D3 = true
--		elseif objectName == "bva1" then

		end
	end

end
